Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.lcs
Class LcsFontEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.lcs.LcsFontEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class LcsFontEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `LcsFont` elements.

See Also:
  Serialized Form

Field Summary
`static LcsFont` | `ARIAL` Font type Arial
`static LcsFont` | `ARIAL_BLACK` Font type Arial Black
`static LcsFont` | `COMIC_SANS_MS` Font type MS Comic Sans
`static LcsFont` | `COURIER_NEW` Font type Courier New
`static LcsFont` | `ESTRANGELO_EDESSA` Font type Estrangelo Edessa
`static LcsFont` | `FRANKLIN_GOTHIC_MEDIUM` Font type Franklin Gothic Medium
`static LcsFont` | `GAUTAMI` Font type Gautami
`static LcsFont` | `GEORGIA` Font type Georgia
`static LcsFont` | `LATHA` Font type Latha
`static LcsFont` | `LUCIDA_CONSOLE` Font type Lucida Console
`static LcsFont` | `LUCIDA_SANS_UNICODE` Font type Lucida Sans Unicode
`static LcsFont` | `MODERN_MS_SANS_SERIF` Font type MS Modern Sans Serif
`static LcsFont` | `MS_SANS_SERIF` Font type MS Sans Serif
`static LcsFont` | `MS_SERIF` Font type MS Serif
`static LcsFont` | `MS_SHELL_DLG_2` Font type MS Shell Dlg 2
`static LcsFont` | `MV_BOLI` Font type MV Boli
`static int` | `NUM_ELEMENTS`
`static LcsFont` | `PALATINO_LINOTYPE` Font type Palatino Linotype
`static LcsFont` | `ROMAN` Font type Roman
`static LcsFont` | `SCRIPT` Font type Script
`static LcsFont` | `SMALL_FONTS` Font type Small Fonts
`static LcsFont` | `SYMBOL` Font type Symbol
`static LcsFont` | `TAHOMA` Font type Tahoma
`static LcsFont` | `TIMES_NEW_ROMAN` Font type Times New Roman
`static LcsFont` | `TREBUCHET_MS` Font type MS Trebuchet
`static LcsFont` | `TUNGA` Font type Tunga
`static int` | `VALUE_ARIAL`
`static int` | `VALUE_ARIAL_BLACK`
`static int` | `VALUE_COMIC_SANS_MS`
`static int` | `VALUE_COURIER_NEW`
`static int` | `VALUE_ESTRANGELO_EDESSA`
`static int` | `VALUE_FRANKLIN_GOTHIC_MEDIUM`
`static int` | `VALUE_GAUTAMI`
`static int` | `VALUE_GEORGIA`
`static int` | `VALUE_LATHA`
`static int` | `VALUE_LUCIDA_CONSOLE`
`static int` | `VALUE_LUCIDA_SANS_UNICODE`
`static int` | `VALUE_MODERN_MS_SANS_SERIF`
`static int` | `VALUE_MS_SANS_SERIF`
`static int` | `VALUE_MS_SERIF`
`static int` | `VALUE_MS_SHELL_DLG_2`
`static int` | `VALUE_MV_BOLI`
`static int` | `VALUE_PALATINO_LINOTYPE`
`static int` | `VALUE_ROMAN`
`static int` | `VALUE_SCRIPT`
`static int` | `VALUE_SMALL_FONTS`
`static int` | `VALUE_SYMBOL`
`static int` | `VALUE_TAHOMA`
`static int` | `VALUE_TIMES_NEW_ROMAN`
`static int` | `VALUE_TREBUCHET_MS`
`static int` | `VALUE_TUNGA`
`static int` | `VALUE_VERDANA`
`static int` | `VALUE_WEBDINGS`
`static int` | `VALUE_WINGDINGS`
`static int` | `VALUE_WST_CZECH`
`static int` | `VALUE_WST_ENGL`
`static int` | `VALUE_WST_FREN`
`static int` | `VALUE_WST_GERM`
`static int` | `VALUE_WST_ITAL`
`static int` | `VALUE_WST_SPAN`
`static int` | `VALUE_WST_SWED`
`static LcsFont` | `VERDANA` Font type Verdana
`static LcsFont` | `WEBDINGS` Font type Webdings
`static LcsFont` | `WINGDINGS` Font type Wingdings
`static LcsFont` | `WST_CZECH` Font type WST Czech
`static LcsFont` | `WST_ENGL` Font type WST Engl
`static LcsFont` | `WST_FREN` Font type WST Fren
`static LcsFont` | `WST_GERM` Font type WST Germ
`static LcsFont` | `WST_ITAL` Font type WST Ital
`static LcsFont` | `WST_SPAN` Font type WST Span
`static LcsFont` | `WST_SWED` Font type WST Swed

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `LcsFontEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `LcsFontEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ARIAL

    public static final int VALUE_ARIAL

### VALUE_ARIAL_BLACK

    public static final int VALUE_ARIAL_BLACK

### VALUE_COMIC_SANS_MS

    public static final int VALUE_COMIC_SANS_MS

### VALUE_COURIER_NEW

    public static final int VALUE_COURIER_NEW

### VALUE_ESTRANGELO_EDESSA

    public static final int VALUE_ESTRANGELO_EDESSA

### VALUE_FRANKLIN_GOTHIC_MEDIUM

    public static final int VALUE_FRANKLIN_GOTHIC_MEDIUM

### VALUE_GAUTAMI

    public static final int VALUE_GAUTAMI

### VALUE_GEORGIA

    public static final int VALUE_GEORGIA

### VALUE_LATHA

    public static final int VALUE_LATHA

### VALUE_LUCIDA_CONSOLE

    public static final int VALUE_LUCIDA_CONSOLE

### VALUE_LUCIDA_SANS_UNICODE

    public static final int VALUE_LUCIDA_SANS_UNICODE

### VALUE_MS_SANS_SERIF

    public static final int VALUE_MS_SANS_SERIF

### VALUE_MODERN_MS_SANS_SERIF

    public static final int VALUE_MODERN_MS_SANS_SERIF

### VALUE_MS_SERIF

    public static final int VALUE_MS_SERIF

### VALUE_MV_BOLI

    public static final int VALUE_MV_BOLI

### VALUE_PALATINO_LINOTYPE

    public static final int VALUE_PALATINO_LINOTYPE

### VALUE_ROMAN

    public static final int VALUE_ROMAN

### VALUE_SCRIPT

    public static final int VALUE_SCRIPT

### VALUE_SMALL_FONTS

    public static final int VALUE_SMALL_FONTS

### VALUE_SYMBOL

    public static final int VALUE_SYMBOL

### VALUE_TAHOMA

    public static final int VALUE_TAHOMA

### VALUE_TIMES_NEW_ROMAN

    public static final int VALUE_TIMES_NEW_ROMAN

### VALUE_TREBUCHET_MS

    public static final int VALUE_TREBUCHET_MS

### VALUE_TUNGA

    public static final int VALUE_TUNGA

### VALUE_VERDANA

    public static final int VALUE_VERDANA

### VALUE_WEBDINGS

    public static final int VALUE_WEBDINGS

### VALUE_WINGDINGS

    public static final int VALUE_WINGDINGS

### VALUE_WST_CZECH

    public static final int VALUE_WST_CZECH

### VALUE_WST_ENGL

    public static final int VALUE_WST_ENGL

### VALUE_WST_FREN

    public static final int VALUE_WST_FREN

### VALUE_WST_GERM

    public static final int VALUE_WST_GERM

### VALUE_WST_ITAL

    public static final int VALUE_WST_ITAL

### VALUE_WST_SPAN

    public static final int VALUE_WST_SPAN

### VALUE_WST_SWED

    public static final int VALUE_WST_SWED

### VALUE_MS_SHELL_DLG_2

    public static final int VALUE_MS_SHELL_DLG_2

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### ARIAL

    public static final LcsFont ARIAL

  Font type Arial

### ARIAL_BLACK

    public static final LcsFont ARIAL_BLACK

  Font type Arial Black

### COMIC_SANS_MS

    public static final LcsFont COMIC_SANS_MS

  Font type MS Comic Sans

### COURIER_NEW

    public static final LcsFont COURIER_NEW

  Font type Courier New

### ESTRANGELO_EDESSA

    public static final LcsFont ESTRANGELO_EDESSA

  Font type Estrangelo Edessa

### FRANKLIN_GOTHIC_MEDIUM

    public static final LcsFont FRANKLIN_GOTHIC_MEDIUM

  Font type Franklin Gothic Medium

### GAUTAMI

    public static final LcsFont GAUTAMI

  Font type Gautami

### GEORGIA

    public static final LcsFont GEORGIA

  Font type Georgia

### LATHA

    public static final LcsFont LATHA

  Font type Latha

### LUCIDA_CONSOLE

    public static final LcsFont LUCIDA_CONSOLE

  Font type Lucida Console

### LUCIDA_SANS_UNICODE

    public static final LcsFont LUCIDA_SANS_UNICODE

  Font type Lucida Sans Unicode

### MS_SANS_SERIF

    public static final LcsFont MS_SANS_SERIF

  Font type MS Sans Serif

### MODERN_MS_SANS_SERIF

    public static final LcsFont MODERN_MS_SANS_SERIF

  Font type MS Modern Sans Serif

### MS_SERIF

    public static final LcsFont MS_SERIF

  Font type MS Serif

### MV_BOLI

    public static final LcsFont MV_BOLI

  Font type MV Boli

### PALATINO_LINOTYPE

    public static final LcsFont PALATINO_LINOTYPE

  Font type Palatino Linotype

### ROMAN

    public static final LcsFont ROMAN

  Font type Roman

### SCRIPT

    public static final LcsFont SCRIPT

  Font type Script

### SMALL_FONTS

    public static final LcsFont SMALL_FONTS

  Font type Small Fonts

### SYMBOL

    public static final LcsFont SYMBOL

  Font type Symbol

### TAHOMA

    public static final LcsFont TAHOMA

  Font type Tahoma

### TIMES_NEW_ROMAN

    public static final LcsFont TIMES_NEW_ROMAN

  Font type Times New Roman

### TREBUCHET_MS

    public static final LcsFont TREBUCHET_MS

  Font type MS Trebuchet

### TUNGA

    public static final LcsFont TUNGA

  Font type Tunga

### VERDANA

    public static final LcsFont VERDANA

  Font type Verdana

### WEBDINGS

    public static final LcsFont WEBDINGS

  Font type Webdings

### WINGDINGS

    public static final LcsFont WINGDINGS

  Font type Wingdings

### WST_CZECH

    public static final LcsFont WST_CZECH

  Font type WST Czech

### WST_ENGL

    public static final LcsFont WST_ENGL

  Font type WST Engl

### WST_FREN

    public static final LcsFont WST_FREN

  Font type WST Fren

### WST_GERM

    public static final LcsFont WST_GERM

  Font type WST Germ

### WST_ITAL

    public static final LcsFont WST_ITAL

  Font type WST Ital

### WST_SPAN

    public static final LcsFont WST_SPAN

  Font type WST Span

### WST_SWED

    public static final LcsFont WST_SWED

  Font type WST Swed

### MS_SHELL_DLG_2

    public static final LcsFont MS_SHELL_DLG_2

  Font type MS Shell Dlg 2

Constructor Detail

### LcsFontEnum

    protected LcsFontEnum(java.lang.Class elementClass,
                          int iNumElements,
                          com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                          EnumElement defaultElement,
                          java.lang.String sInternalName,
                          boolean bMaskable)

  Constructor.

### LcsFontEnum

    protected LcsFontEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.